Index: tests/GuiChecks/Filling/RegularGrid/testsuite-fill-regular-grid.at
===================================================================
--- tests/GuiChecks/Filling/RegularGrid/testsuite-fill-regular-grid.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/RegularGrid/testsuite-fill-regular-grid.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -24,5 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --no-dry-run --store-session session-fill-regular-grid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --no-dry-run --store-session session-fill-regular-grid.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-fill-regular-grid.py >session-fill-regular-grid_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-fill-regular-grid_new.py], 0, [stdout], [stderr])
@@ -38,5 +38,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --no-dry-run --store-session session-fill-regular-grid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --no-dry-run --store-session session-fill-regular-grid.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-fill-regular-grid.py >session-fill-regular-grid_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-fill-regular-grid_new.py], 0, [stdout], [stderr])
@@ -52,5 +52,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --redo --no-dry-run --store-session session-fill-regular-grid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --redo --no-dry-run --store-session session-fill-regular-grid.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-fill-regular-grid.py >session-fill-regular-grid_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-fill-regular-grid_new.py], 0, [stdout], [stderr])
